CREATE DATABASE  IF NOT EXISTS `gestion_cabinet` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `gestion_cabinet`;
-- MySQL dump 10.13  Distrib 5.5.16, for Win32 (x86)
--
-- Host: localhost    Database: gestion_cabinet
-- ------------------------------------------------------
-- Server version	5.0.22-community-nt

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Not dumping tablespaces as no INFORMATION_SCHEMA.FILES table on this server
--

--
-- Table structure for table `specialite`
--

DROP TABLE IF EXISTS `specialite`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `specialite` (
  `NUMERO_S` int(11) NOT NULL,
  `DESCRIPTION` varchar(45) default NULL,
  PRIMARY KEY  (`NUMERO_S`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `specialite`
--

LOCK TABLES `specialite` WRITE;
/*!40000 ALTER TABLE `specialite` DISABLE KEYS */;
INSERT INTO `specialite` VALUES (96,'Pédiatrie'),(121,'Généraliste'),(254,'Chirurgie'),(987,'Ophtalmologie'),(9871,'Dermatologie');
/*!40000 ALTER TABLE `specialite` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `soginer`
--

DROP TABLE IF EXISTS `soginer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `soginer` (
  `MEDECIN_NUMERO_M` int(11) NOT NULL,
  `MALADE_NUMERO_MAL` int(11) NOT NULL,
  PRIMARY KEY  (`MEDECIN_NUMERO_M`,`MALADE_NUMERO_MAL`),
  KEY `fk_MEDECIN_has_MALADE_MALADE1` (`MALADE_NUMERO_MAL`),
  KEY `fk_MEDECIN_has_MALADE_MEDECIN1` (`MEDECIN_NUMERO_M`),
  CONSTRAINT `fk_MEDECIN_has_MALADE_MEDECIN1` FOREIGN KEY (`MEDECIN_NUMERO_M`) REFERENCES `medecin` (`NUMERO_M`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_MEDECIN_has_MALADE_MALADE1` FOREIGN KEY (`MALADE_NUMERO_MAL`) REFERENCES `malade` (`NUMERO_MAL`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `soginer`
--

LOCK TABLES `soginer` WRITE;
/*!40000 ALTER TABLE `soginer` DISABLE KEYS */;
INSERT INTO `soginer` VALUES (9658,555),(321566,555),(852963,555),(85,878),(9658,878),(321566,878),(12,1245),(852,1245),(852963,1245),(85,5466),(852,5466),(9658,5466),(321566,5466),(12,5644);
/*!40000 ALTER TABLE `soginer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `posseder`
--

DROP TABLE IF EXISTS `posseder`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `posseder` (
  `MEDECIN_NUMERO_M` int(11) NOT NULL,
  `SPECIALITE_NUMERO_S` int(11) NOT NULL,
  PRIMARY KEY  (`MEDECIN_NUMERO_M`,`SPECIALITE_NUMERO_S`),
  KEY `fk_MEDECIN_has_SPECIALITE_SPECIALITE1` (`SPECIALITE_NUMERO_S`),
  KEY `fk_MEDECIN_has_SPECIALITE_MEDECIN1` (`MEDECIN_NUMERO_M`),
  CONSTRAINT `fk_MEDECIN_has_SPECIALITE_MEDECIN1` FOREIGN KEY (`MEDECIN_NUMERO_M`) REFERENCES `medecin` (`NUMERO_M`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_MEDECIN_has_SPECIALITE_SPECIALITE1` FOREIGN KEY (`SPECIALITE_NUMERO_S`) REFERENCES `specialite` (`NUMERO_S`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `posseder`
--

LOCK TABLES `posseder` WRITE;
/*!40000 ALTER TABLE `posseder` DISABLE KEYS */;
INSERT INTO `posseder` VALUES (9658,96),(12,121),(852,121),(85,254),(9658,254),(321566,987),(85,9871),(321566,9871);
/*!40000 ALTER TABLE `posseder` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `malade`
--

DROP TABLE IF EXISTS `malade`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `malade` (
  `NUMERO_MAL` int(11) NOT NULL,
  `NOM` varchar(45) default NULL,
  `LOCALITE` varchar(45) default NULL,
  PRIMARY KEY  (`NUMERO_MAL`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `malade`
--

LOCK TABLES `malade` WRITE;
/*!40000 ALTER TABLE `malade` DISABLE KEYS */;
INSERT INTO `malade` VALUES (555,'Touche ','Toulouse'),(878,'AIE','Thiers'),(1245,'MALOT','Clermont'),(5466,'PAMAL','Paris'),(5644,'DOI','Barcelone');
/*!40000 ALTER TABLE `malade` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `medecin`
--

DROP TABLE IF EXISTS `medecin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `medecin` (
  `NUMERO_M` int(11) NOT NULL,
  `NOM` varchar(45) default NULL,
  `PRENOM` varchar(45) default NULL,
  PRIMARY KEY  (`NUMERO_M`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `medecin`
--

LOCK TABLES `medecin` WRITE;
/*!40000 ALTER TABLE `medecin` DISABLE KEYS */;
INSERT INTO `medecin` VALUES (12,'Rhieu','Sylvie'),(85,'Venge','Michelle'),(852,'Thore','Michel'),(9658,'Paridi','Valérie'),(321566,'Raise','Anne'),(852963,'Lebor','Patrick');
/*!40000 ALTER TABLE `medecin` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `remplacer`
--

DROP TABLE IF EXISTS `remplacer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `remplacer` (
  `MEDECIN_NUMERO_M` int(11) NOT NULL,
  `MEDECIN_NUMERO_M1` int(11) NOT NULL,
  PRIMARY KEY  (`MEDECIN_NUMERO_M`,`MEDECIN_NUMERO_M1`),
  KEY `fk_MEDECIN_has_MEDECIN_MEDECIN1` (`MEDECIN_NUMERO_M1`),
  KEY `fk_MEDECIN_has_MEDECIN_MEDECIN` (`MEDECIN_NUMERO_M`),
  CONSTRAINT `fk_MEDECIN_has_MEDECIN_MEDECIN` FOREIGN KEY (`MEDECIN_NUMERO_M`) REFERENCES `medecin` (`NUMERO_M`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_MEDECIN_has_MEDECIN_MEDECIN1` FOREIGN KEY (`MEDECIN_NUMERO_M1`) REFERENCES `medecin` (`NUMERO_M`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `remplacer`
--

LOCK TABLES `remplacer` WRITE;
/*!40000 ALTER TABLE `remplacer` DISABLE KEYS */;
INSERT INTO `remplacer` VALUES (852,12),(9658,85),(321566,85),(852963,85),(321566,852),(12,9658),(852963,9658),(85,321566),(85,852963),(852,852963),(321566,852963);
/*!40000 ALTER TABLE `remplacer` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-01-15 17:40:11
